fTools "Line Intersection" does not work

2013-07-05 01:23 AM - Minoru Akagi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17032

Description

When I used "Line Intersection" tool, I got the following error message.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doIntersectLines.py", line 96, in accept

    self.compute(line1, line2, field1, field2, outPath, self.progressBar)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doIntersectLines.py", line 169, in compute

    outFeat.setAttribute(0, v1)

KeyError: '0'

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master Master, 630427f

Associated revisions

Revision 89b3e061 - 2013-07-11 12:10 AM - Daniel Vaz

Fix #8218

Revision 56210eb0 - 2013-07-11 03:11 AM - Nathan Woodrow

Merge pull request #711 from ddanielvaz/bugfixes

Bugfixes for fTools.

Fix #8218

Fix #8069

Fix #7073

History

#1 - 2013-07-05 10:50 AM - Daniel Vaz
Please, see issue #7073.

There is a hack that solves the problem (for simplest case tested for me).

Adding the following two lines before the while loop.

allAttrs = provider1.attributeIndexes()

provider1.select(allAttrs)

while provider1.nextFeature(inFeat):

#2 - 2013-07-05 06:04 PM - Minoru Akagi

Daniel Vaz wrote:

Adding the following two lines before the while loop.

[...]

Probably you are using 1.8 and old APIs. We should use new APIs for 2.0.

#3 - 2013-07-06 06:21 AM - Daniel Vaz

Fixing bug in pull request 702.

Plase see: https://github.com/qgis/Quantum-GIS/pull/702

PS: sorry for previous noise.

#4 - 2013-07-10 06:11 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"56210eb0b5c7914d246b1c82ad48e676b00b6557".

#5 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
https://github.com/qgis/Quantum-GIS/pull/702

